Bug 1957616 (CVE-2021-3575) - CVE-2021-3575 openjpeg: heap-buffer-overflow in color.c may lead to DoS or arbitrary code execution
Summary: CVE-2021-3575 openjpeg: heap-buffer-overflow in color.c may lead to DoS or ar...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3575
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1957617 1957618 1957619 1969279 1969280
Blocks: 1966991 1957620
TreeView+ depends on / blocked
 
Reported: 2021-05-06 07:30 UTC by Marian Rehak
Modified: 2022-05-23 15:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow was found in OpenJPEG. This flaw allows an attacker to execute arbitrary code with the permissions of the application compiled against OpenJPEG.
Clone Of:
Environment:
Last Closed: 2021-11-09 18:24:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4251 0 None None None 2021-11-09 17:56:48 UTC

Description Marian Rehak 2021-05-06 07:30:41 UTC
Decompressing a crafted .j2k file may lead to heap-buffer-overflow in color.c:379:42 in sycc420_to_rgb.

Reference:

https://github.com/uclouvain/openjpeg/issues/1347

Comment 1 Marian Rehak 2021-05-06 07:31:12 UTC
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1957617]


Created openjpeg2 tracking bugs for this issue:

Affects: epel-7 [bug 1957619]
Affects: fedora-all [bug 1957618]

Comment 5 errata-xmlrpc 2021-11-09 17:56:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4251 https://access.redhat.com/errata/RHSA-2021:4251

Comment 6 Product Security DevOps Team 2021-11-09 18:24:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3575


Note You need to log in before you can comment on or make changes to this bug.